/** This file is part of Reactor.
 *  Copyright (c) 2020-2024 Kedron Holdings LLC, All Rights Reserved.
 *  Reactor is not public domain or open source. Distribution or derivative works are expressly prohibited.
 */

export const version = 24075;

import api from '/client/ClientAPI.js';

import ReactorUICore from "./reactor-ui-core.js";

import { getLocale } from './i18n.js';

function readyHandler() {
    console.log("reactor-ui.js:readyHandler()");

    api.start().then( function() {
        ReactorUICore.start();
    });

    let $el = jQuery( 'a#re-sysclock' );
    let update_browser_time = function() {
        /* Fixed format time display */
        let t = ( new Date() ).toLocaleTimeString( getLocale(), { hour12: false } );
        if ( t !== $el.text() ) {
            $el.text( t );
        }
        setTimeout( update_browser_time, 1000 - ( Date.now() % 1000 ) );
    };
    setTimeout( update_browser_time, 500 );
}

jQuery( readyHandler );
